<template>
  <q-page class="fit row wrap item-start justify-start">
    <div
      v-if="Array.isArray(quizzes) && quizzes.length == 0"
      class="q-pa-xl row items-start justify-evenly q-gutter-xl"
    >
      <q-card flat bordered class="col-4">
        <q-card-section>
          <div class="text-h6">No has creado evaluaciones</div>
        </q-card-section>
        <q-card-section class="q-pt-none">
          Crea una nueva evaluación para poder utilizarla en tu colegio o institución. Estas pruebas son de uso propio y nadie más podrá ver que pruebas has hecho, salvo tu mismo.
        </q-card-section>
      </q-card>
    </div>
    <div
      v-for="(quiz, index) in quizzes"
      v-bind:key="index"
      class="col-md-3 q-pa-md"
    >
      <quiz-card
        v-bind:name="quiz.name"
        v-bind:createdAt="quiz.createdAt"
        v-bind:questions="quiz.questions"
        v-bind:labels="quiz.labels"
        v-bind:totalQuestions="quiz.totalQuestions"
        v-bind:totalPoints="quiz.totalPoints"
        v-bind:quiz="quiz"
      />
    </div>
  </q-page>
</template>
<script>
import { mapGetters } from 'vuex'
export default {
  name: 'QuizRevision',
  components: {
    QuizCard: () => import('../../components/quiz/QuizCard')
  },
  data () {
    return {
      quizzes: []
    }
  },
  computed: {
    ...mapGetters({
      userId: 'auth/getId'
    })
  },
  mounted () {
    this.$connection.get('api/quiz/byAutor', { autorId: this.userId })
      .then((response) => {
        this.quizzes = response.data
      })
      .catch(() => {
        this.$q.notify({
          color: 'negative',
          textColor: 'white',
          icon: 'cloud_off',
          message: 'Error al recuperar su información.'
        })
        this.$store.dispatch('auth/logOut')
        this.$router.go(-1)
      })
  }
}
</script>
